/* IluObject.java */
/* Chris Jacobi, April 22, 1997 2:50 pm PDT */

/*
 * Copyright (c) 1996 Xerox Corporation.  All Rights Reserved.  
 * Unlimited use, reproduction, and distribution of this software is
 * permitted.  Any copy of this software must include both the above
 * copyright notice of Xerox Corporation and this paragraph.  Any
 * distribution of this software must comply with all applicable United
 * States export control laws.  This software is made available AS IS,
 * and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
 * PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
 * THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
 * CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
 * XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 */
 
/* $Id: IluObject.java,v 1.7 1997/04/22 22:05:14 jacobi Exp $ */
 

package xerox.ilu;

/**
 * Generic, client visible interface. <p>
 *
 * Subclass of corba__Object or however the omg names their 
 * standard object interface<p>
 *
 * Whenever accepting an object we recommend accepting an IluObject0 <br>
 * Whenever providing an object we recommend providing an IluObject <br>
 * @see IluObject0
 * @see omg.corba.corba__Object
 */
public interface IluObject extends omg.corba.corba__Object {
} //IluObject
