/* TestServer.java */
/* Chris Jacobi, April 20, 1997 8:42 pm PDT */
/* $Id: TestServer.java,v 1.1 1997/04/22 23:21:47 jacobi Exp $ */

package somepackage; 

class TestServer {
  
    static xerox.ilu.IluServer trueServer;
    static PickleFactoryImpl factory;
    
    TestServer(){}
    
    static void handleOut() {
        try {
            //
            System.out.println("Starting a server");
            trueServer = xerox.ilu.IluServer.createServer("JavaPiTeServer");
            System.out.println("Server created");
            //
            factory = new PickleFactoryImpl();
            testjavaserial.PickleFactory_stub.registerTrueObject( 
                "myFactory", 
                factory, 
                trueServer
                );
            xerox.ilu.IluSimpleBinding.publish(factory);
            System.out.println("Factory instance published");
            String sbh = xerox.ilu.Ilu.sbhOfObject(factory);
            System.out.println("Its SBH is '" + sbh + "'");
            //
        } catch (xerox.ilu.IluSystemException e) {
            System.err.println("Caught an ilu exception: " + e );
        }
    } //handleOut

    public static void main(String argv[]) {
        System.out.println("Start TestServer");
        javaserial.JavaPickle.load();
        testjavaserial._allJavaStubs.load();
        System.out.println("junk loaded");
        handleOut();
    } //main

} //TestServer


class PickleFactoryImpl implements testjavaserial.PickleFactory {
    
    public PickleFactoryImpl() {
    }
    
    public javaserial.JavaPickleBase GetJavaPickle() 
                        throws xerox.ilu.IluSystemException {
        javaserial.JavaPickle p = null;
        System.out.println("PickleFactoryImpl called");
        FooWhizBangFuzzler x = new FooWhizBangFuzzler("xxxx");
        try {
            p = new javaserial.JavaPickle(x);
        } catch (java.io.IOException e) {
            throw new xerox.ilu.IluSystemException("Couldn't pickle");
        }
        return p;
    } //CreateCalculator
    
} //PickleFactoryImpl


class FooWhizBangFuzzler implements java.io.Serializable  {
   String theString = null;
   
   public FooWhizBangFuzzler(String s) {
       this.theString = s;
   }
   
   public java.lang.String toString() {
       return "FooWhizBangFuzzler[" + theString + "]";
   }
   
} //FooWhizBangFuzzler

